| Home | Libraries | People | FAQ | More

## Class multiple_values

boost::program_options::multiple_values —

## Synopsis

    class multiple_values : public boost::program_options::error {
    public:
      // construct/copy/destruct
      multiple_values(const std::string &);

      // public member functions
    };

## Description

Class thrown when there are several option values, but user called a method which cannot return them all.

### `multiple_values` construct/copy/destruct

1.     multiple_values(const std::string & what);

### `multiple_values` public member functions

| Copyright © 2002-2004 Vladimir Prus